%global eclipse_base     %{_libdir}/eclipse
%global eclipse_dropin   %{_datadir}/eclipse/dropins
%global gittag R4_0_2

Name:      eclipse-mdt-ocl
Version:   4.0.2
Release:   2%{?dist}
Summary:   Implementation of the OCL OMG meta-model for Eclipse
Group:     System Environment/Libraries
License:   EPL
URL:       http://www.eclipse.org/modeling/mdt/ocl

Source0:   http://git.eclipse.org/c/mdt/org.eclipse.ocl.git/snapshot/org.eclipse.ocl-%{gittag}.tar.bz2

# patch to accomodate ICU4J changing version number schemes
Patch0:    fix-icu-version.patch

BuildArch:        noarch

BuildRequires:    java-devel
BuildRequires:    jpackage-utils
BuildRequires:    eclipse-pde >= 1:4.2.0
BuildRequires:    eclipse-emf >= 2.8.0
BuildRequires:    eclipse-mdt-uml2 >= 4.0.0
BuildRequires:    lpg-java >= 2.0.17
Requires:         java
Requires:         jpackage-utils
Requires:         eclipse-platform >= 1:4.2.0
Requires:         eclipse-emf >= 2.8.0
Requires:         eclipse-mdt-uml2 >= 4.0.0
Requires:         lpg-java >= 2.0.17

%description
OCL is an implementation of the Object Constraint Language (OCL) OMG standard
for EMF-based models. The objectives of the OCL component are to provide APIs
for parsing and evaluating OCL constraints and queries on EMF models, an Ecore
implementation of the OCL abstract syntax model, including support for
serialization of parsed OCL expressions, a Visitor API for analyzing/
transforming the AST model of OCL expressions and an extensibility API for
clients to customize the parsing and evaluation environments used by the
parser.

%prep
%setup -q -n org.eclipse.ocl-%{gittag}
%patch0 -p0 -b .orig

# remove stuff we're not building
rm -rf archive/ examples/ tests/

# this copy works around ant not honouring symlinks
cp -pr features/org.eclipse.ocl.license-feature features/org.eclipse.ocl.license

mkdir orbitDeps
pushd orbitDeps
ln -s $(build-classpath lpgruntime) lpg.runtime.java.jar
popd

%build
# build mdt-ocl features
eclipse-pdebuild -f org.eclipse.ocl \
  -d "emf mdt-uml2" -o `pwd`/orbitDeps
eclipse-pdebuild -f org.eclipse.ocl.uml \
  -d "emf mdt-uml2"
eclipse-pdebuild -f org.eclipse.ocl.edit \
  -d "emf"
eclipse-pdebuild -f org.eclipse.ocl.ui \
  -d "emf"
eclipse-pdebuild -f org.eclipse.ocl.doc

%install
install -d -m 755 %{buildroot}%{eclipse_dropin}
unzip -q -n -d %{buildroot}%{eclipse_dropin}/mdt-ocl build/rpmBuild/org.eclipse.ocl.zip
unzip -q -n -d %{buildroot}%{eclipse_dropin}/mdt-ocl build/rpmBuild/org.eclipse.ocl.uml.zip
unzip -q -n -d %{buildroot}%{eclipse_dropin}/mdt-ocl build/rpmBuild/org.eclipse.ocl.edit.zip
unzip -q -n -d %{buildroot}%{eclipse_dropin}/mdt-ocl build/rpmBuild/org.eclipse.ocl.ui.zip
unzip -q -n -d %{buildroot}%{eclipse_dropin}/mdt-ocl build/rpmBuild/org.eclipse.ocl.doc.zip

# use system bundles
pushd %{buildroot}%{eclipse_dropin}/mdt-ocl/eclipse/plugins
rm lpg.runtime.java_*.jar
ln -s ../../../../../../..$(build-classpath lpgruntime) \
  lpg.runtime.java_2.0.17.jar
popd

%files
%{eclipse_dropin}/mdt-ocl
%doc features/org.eclipse.ocl.license-feature/*.html

%changelog
* Fri Apr 19 2013 Mat Booth <fedora@matbooth.co.uk> - 4.0.2-2
- No longer necessary to specify icu4j as a dependency.

* Tue Feb 26 2013 Mat Booth <fedora@matbooth.co.uk> - 4.0.2-1
- Update to latest upstream.
- Fix FTBFS rhbz #913956.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Aug 06 2012 Mat Booth <fedora@matbooth.co.uk> - 4.0.0-1
- Update to latest version.
- Adapt newer packaging guidelines.
- Fix FTBFS.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Sep 13 2010 Mat Booth <fedora@matbooth.co.uk> 3.0.0-1
- Update to Helios release.
- Fixes RHBZ #631406.

* Sun Nov 22 2009 Mat Booth <fedora@matbooth.co.uk> 1.3.0-2
- Use build-classpath when symlinking to dependent bundles.
- Don't pretty-print the package description.

* Sun Nov 8 2009 Mat Booth <fedora@matbooth.co.uk> 1.3.0-1
- New OCL spec file based on eclipse-gef.
